summaryrefslogtreecommitdiff
path: root/embedded-test.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2016-02-07 19:20:48 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2016-02-07 19:21:03 +0100
commit99fbe96b369064c41ebb14482a5096027bff887b (patch)
tree391490ab1ef536a6364f381259e21fc746d68b4d /embedded-test.sh
parentdd4aed892f099c64f74197b4fa638c9db67dd58d (diff)
allow to bisect binutils
Diffstat (limited to 'embedded-test.sh')
-rwxr-xr-xembedded-test.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/embedded-test.sh b/embedded-test.sh
index d5b310f..628c9f7 100755
--- a/embedded-test.sh
+++ b/embedded-test.sh
@@ -1075,6 +1075,23 @@ for lib in ${libc}; do
clean=1
fi
fi
+ if [ ! -z $binutilssource ]; then
+ if [ ! -d $binutilssource ]; then
+ echo "Not a directory."
+ exit 1
+ fi
+ usrc=$(mktemp -d /tmp/XXXX)
+ echo "Creating binutils source tarball openadk/dl/binutils-git.tar.xz"
+ cp -a $binutilssource $usrc/binutils-git
+ mkdir -p $topdir/openadk/dl 2>/dev/null
+ rm $topdir/openadk/dl/binutils-git.tar.xz 2>/dev/null
+ (cd $usrc && tar cJf $topdir/openadk/dl/binutils-git.tar.xz binutils-git)
+ touch $topdir/openadk/dl/binutils-git.tar.xz.nohash
+ # we need to clean system, when external source is used
+ if [ $noclean -eq 0 ]; then
+ clean=1
+ fi
+ fi
# start with a clean dir
if [ $cleandir -eq 1 ]; then